# Deployments: testIamPermissions

**Requires [authorization](https://docs.cloud.google.com/deployment-manager/docs/reference/latest/deployments/testIamPermissions#auth)**

Returns permissions that a caller has on the specified resource.
[Try it now](https://docs.cloud.google.com/deployment-manager/docs/reference/latest/deployments/testIamPermissions#try-it).

## Request

### HTTP request

```
POST https://www.googleapis.com/deploymentmanager/v2/projects/project/global/deployments/resource/testIamPermissions
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `project` | `string` | Project ID for this request. |
| `resource` | `string` | Name or id of the resource for this request. |

### Authorization

This request requires authorization with at least one of the following scopes ([read more about authentication and authorization](https://docs.cloud.google.com/deployment-manager/latest/authorization)).

| Scope |
|---|
| `https://www.googleapis.com/auth/cloud-platform` |
| `https://www.googleapis.com/auth/ndev.cloudman` |

### Request body

In the request body, supply data with the following structure:

```
{
  "permissions": [
    string
  ]
}
```

| Property name | Value | Description | Notes |
|---|---|---|---|
| `permissions[]` | `list` | The set of permissions to check for the 'resource'. Permissions with wildcards (such as '\*' or 'storage.\*') are not allowed. |   |

## Response

If successful, this method returns a response body with the following structure:

```
{
  "permissions": [
    string
  ]
}
```

| Property name | Value | Description | Notes |
|---|---|---|---|
| `permissions[]` | `list` | A subset of \`TestPermissionsRequest.permissions\` that the caller is allowed. |   |

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.
Alternatively, try the
[standalone
Explorer](https://developers.google.com/apis-explorer/#p/deploymentmanager/v2/deploymentmanager.deployments.testIamPermissions).